Bug 1298742 - Openstack deployment fails with CREATE_FAIL (timeout)
Openstack deployment fails with CREATE_FAIL (timeout)
Status: NEW
Product: Red Hat Quickstart Cloud Installer
Classification: Red Hat
Component: Installation - RHELOSP (Show other bugs)
1.0
Unspecified Unspecified
unspecified Severity high
: ---
: 1.2
Assigned To: John Matthews
Dave Johnson
Dan Macpherson
post-1.0-ga
: Triaged
Depends On: 1359864 1359872
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-14 16:54 EST by Thom Carlin
Modified: 2017-01-20 16:14 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1359864 (view as bug list)
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Thom Carlin 2016-01-14 16:54:59 EST
Description of problem:

OpenStack deployment failed with CREATE_FAIL (timeout)

Version-Release number of selected component (if applicable):

RHCI-6.0-RHEL-7-20160113.t.1
RHCIOOO-7-RHEL-7-20160113.t.8

How reproducible:

100%

Steps to Reproduce:
1. Install ISOs
2. Run fusor install scripts
3. Enter information for deployment with wrong "External Network Interface" in Configure Overcloud
4. Wait until Satellite deployment is finished
5. Wait until 25% in RHELOSP deployment

Actual results:

No error for External Network Interface
ERROR: deployment failed with status: CREATE_FAILED and reason: Create timed out

Expected results:

Error during External Network Interface
Successful deployment

Additional info:

No way of correct and resume, must start from scratch.

Since External Network Interface is using the consistent network device naming (non-ethx), checking for ethx and reporting an error would be one solution.
Comment 1 Thom Carlin 2016-07-01 08:57:23 EDT
For QCI 1.2, entered nic7 as "External Network Interface" in "Configure Overcloud"

Receive:
"{"displayMessage":"Task 02ff3cec-84cc-4f2a-8b5d-7088d527d104: RestClient::InternalServerError: 500 Internal Server Error","errors":["Task 02ff3cec-84cc-4f2a-8b5d-7088d527d104: RestClient::InternalServerError: 500 Internal Server Error"]}"

Failed QA
Comment 2 Jason Montleon 2016-07-13 13:16:34 EDT
Does nic7 exist? We have absolutely no way to tell in advance how many interfaces exist. If you put in garbage data here expect a failed deployment.

If the systems do in fact have 7 nics it would be helpful to see the /var/log/messages from the overcloud nodes

as root on your undercloud
sudo su - stack
source stackrc
nova server-list
ssh heat-admin@<ip-address-for-one-of-the-servers-listed-in-cmd-above>
sudo su -

Looking at /var/log/messages you'd normally see messages similar to:
nic2 mapped to: eth1

In your case you'd of course be looking for nessages about nic7
Comment 8 Jason Montleon 2016-07-25 11:01:29 EDT
<thom> jmontleo: this is a UX bz.  If the user enters the wrong info, be able to catch it at the time of entry
<jmontleo> thom, as in there is no nic7?
<thom> jmontleo: correct

To be clear we don't have sufficient information about the introspected hardware to validate. We'll need to put in an RFE against Openstack and wait for the improvements.

docs bug for GA: https://bugzilla.redhat.com/show_bug.cgi?id=1359864

osp rfe bug: https://bugzilla.redhat.com/show_bug.cgi?id=1359872

Note You need to log in before you can comment on or make changes to this bug.